Login Extended

Login Extended

Performs login but returns an AccessToken.

Request
URI
POST
https://{api_host}//cava-s-182-041.eng.vmware.com/csp/gateway/am/idp/auth/login
COPY
Query Parameters
string
access_token
Required

access_token


Request Body
LoginRequest of type(s) application/json
Optional
{
    "domain": "string",
    "password": "string",
    "scope": "string",
    "username": "string"
}
string
domain
Optional

The user's domain.

string
password
Required

The password.

string
scope
Optional

Scope of the issued token.

string
username
Required

The username.

Responses
200

OK

Returns AccessToken of type(s) */*
{
    "access_token": "string",
    "expires_in": 0,
    "id_token": "string",
    "refresh_token": "string",
    "scope": "string",
    "token_type": "string"
}
string
access_token
Optional

Access Token

integer As int64 As int64
expires_in
Optional

Access Token Expiration

string
id_token
Optional

ID Token

string
refresh_token
Optional

Refresh Token

string
scope
Optional

Scope

string
token_type
Optional

Token Type


400

Wrong username or password.

Operation doesn't return any data structure